#!/usr/bin/env bash
set -e

if command -v apt >/dev/null; then
  sudo apt update
  sudo apt install -y build-essential cmake
elif command -v pacman >/dev/null; then
  sudo pacman -Sy --noconfirm base-devel cmake
elif command -v apk >/dev/null; then
  sudo apk add build-base cmake
fi
